> ## Documentation Index
> Fetch the complete documentation index at: https://e2b.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team metrics max

> Get the maximum metrics for the team in the given interval



## OpenAPI

````yaml /openapi-public.yml get /teams/{teamID}/metrics/max
openapi: 3.1.0
info:
  title: E2B API
  version: 0.1.0
  description: >-
    Complete E2B developer API. Platform endpoints are served on api.e2b.app.
    Sandbox endpoints (envd) are served on the shared sandbox host
    (sandbox.e2b.app); target a specific sandbox with the E2b-Sandbox-Id and
    E2b-Sandbox-Port headers.
servers:
  - url: https://api.e2b.app
    description: E2B Platform API
security: []
tags:
  - name: Sandboxes
  - name: Templates
  - name: Tags
  - name: Volumes
  - name: Envd
  - name: Filesystem
  - name: Process
  - name: Teams
paths:
  /teams/{teamID}/metrics/max:
    servers:
      - url: https://api.e2b.app
        description: E2B Platform API
    get:
      tags:
        - Teams
      summary: Get team metrics max
      description: Get the maximum metrics for the team in the given interval
      operationId: getTeamMetricsMax
      parameters:
        - $ref: '#/components/parameters/teamID'
        - in: query
          name: start
          schema:
            type: integer
            format: int64
            minimum: 0
          description: >-
            Unix timestamp for the start of the interval, in seconds, for which
            the metrics are returned.
        - in: query
          name: end
          schema:
            type: integer
            format: int64
            minimum: 0
          description: >-
            Unix timestamp for the end of the interval, in seconds, for which
            the metrics are returned.
        - in: query
          name: metric
          required: true
          schema:
            type: string
            enum:
              - concurrent_sandboxes
              - sandbox_start_rate
          description: Metric to retrieve the maximum value for
      responses:
        '200':
          description: Successfully returned the team metrics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaxTeamMetric'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    teamID:
      name: teamID
      in: path
      required: true
      schema:
        type: string
  schemas:
    MaxTeamMetric:
      description: Team metric with timestamp
      required:
        - timestamp
        - timestampUnix
        - value
      properties:
        timestamp:
          type: string
          format: date-time
          deprecated: true
          description: Timestamp of the metric entry
        timestampUnix:
          type: integer
          format: int64
          description: Timestamp of the metric entry in Unix time (seconds since epoch)
        value:
          type: number
          description: The maximum value of the requested metric in the given interval
      type: object
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
          description: Error code
        message:
          type: string
          description: Error
      type: object
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '401':
      description: Authentication error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '500':
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````